package kr.co.compcarecompany.Data.Memo.Login;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

import kr.co.compcarecompany.Data.Company.Agency;
import kr.co.compcarecompany.Data.Company.Partner;

public class UserItem {

    @SerializedName("mb_idx")
    @Expose
    private String mbIdx;
    @SerializedName("mb_id")
    @Expose
    private String mbId;
    @SerializedName("mb_name")
    @Expose
    private String mbName;
    @SerializedName("mb_password")
    @Expose
    private String mbPassword;
    @SerializedName("mb_phone")
    @Expose
    private String mbPhone;
    @SerializedName("mb_email")
    @Expose
    private String mbEmail;
    @SerializedName("mb_denied")
    @Expose
    private String mbDenied;
    @SerializedName("mb_outdt")
    @Expose
    private Object mbOutdt;
    @SerializedName("mb_fcm_key")
    @Expose
    private String mbFcmKey;
    @SerializedName("mb_type")
    @Expose
    private String mbType;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;
    @SerializedName("mb_user_type")
    @Expose
    private String mbUserType;
    @SerializedName("agency")
    @Expose
    private Agency agency;
    @SerializedName("partner")
    @Expose
    private Partner partner;
    @SerializedName("mb_type_str")
    @Expose
    private String mbTypeStr;
    @SerializedName("photo1_data")
    @Expose
    private List<Object> photo1Data = null;
    @SerializedName("photo1")
    @Expose
    private Object photo1;
    @SerializedName("img_folder")
    @Expose
    private String imgFolder;

    @SerializedName("mb_machine_pw")
    @Expose
    private String mbMachinePw;

    @SerializedName("mb_lastlogin_ip")
    @Expose
    private String mbLastloginIp;

    @SerializedName("mb_activated_list")
    @Expose
    private ArrayList<UserItem> mbActivatedList = null;

    @SerializedName("mb_inactivated_list")
    @Expose
    private ArrayList<UserItem> mbInactivatedList = null;

    public String getMbIdx() {
        return mbIdx;
    }

    public void setMbIdx(String mbIdx) {
        this.mbIdx = mbIdx;
    }

    public String getMbId() {
        return mbId;
    }

    public void setMbId(String mbId) {
        this.mbId = mbId;
    }

    public String getMbName() {
        return mbName;
    }

    public void setMbName(String mbName) {
        this.mbName = mbName;
    }

    public String getMbPassword() {
        return mbPassword;
    }

    public void setMbPassword(String mbPassword) {
        this.mbPassword = mbPassword;
    }

    public String getMbPhone() {
        return mbPhone;
    }

    public void setMbPhone(String mbPhone) {
        this.mbPhone = mbPhone;
    }

    public String getMbDenied() {
        return mbDenied;
    }

    public void setMbDenied(String mbDenied) {
        this.mbDenied = mbDenied;
    }

    public Object getMbOutdt() {
        return mbOutdt;
    }

    public void setMbOutdt(Object mbOutdt) {
        this.mbOutdt = mbOutdt;
    }

    public String getMbFcmKey() {
        return mbFcmKey;
    }

    public void setMbFcmKey(String mbFcmKey) {
        this.mbFcmKey = mbFcmKey;
    }

    public String getMbType() {
        return mbType;
    }

    public void setMbType(String mbType) {
        this.mbType = mbType;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public void setPtIdx(String ptIdx) {
        this.ptIdx = ptIdx;
    }

    public String getMbUserType() {
        return mbUserType;
    }

    public void setMbUserType(String mbUserType) {
        this.mbUserType = mbUserType;
    }

    public Agency getAgency() {
        return agency;
    }

    public void setAgency(Agency agency) {
        this.agency = agency;
    }

    public Partner getPartner() {
        return partner;
    }

    public void setPartner(Partner partner) {
        this.partner = partner;
    }

    public String getMbTypeStr() {
        return mbTypeStr;
    }

    public void setMbTypeStr(String mbTypeStr) {
        this.mbTypeStr = mbTypeStr;
    }

    public List<Object> getPhoto1Data() {
        return photo1Data;
    }

    public void setPhoto1Data(List<Object> photo1Data) {
        this.photo1Data = photo1Data;
    }

    public Object getPhoto1() {
        return photo1;
    }

    public void setPhoto1(Object photo1) {
        this.photo1 = photo1;
    }

    public String getImgFolder() {
        return imgFolder;
    }

    public void setImgFolder(String imgFolder) {
        this.imgFolder = imgFolder;
    }

    public String getMbMachinePw() {
        return mbMachinePw;
    }

    public String getMbLastloginIp() {
        return mbLastloginIp;
    }

    public String getMbEmail() {
        return mbEmail;
    }

    public ArrayList<UserItem> getMbActivatedList() {
        return mbActivatedList;
    }

    public ArrayList<UserItem> getMbInactivatedList() {
        return mbInactivatedList;
    }
}
